package se.hirt.w1.mockup;

import java.util.HashSet;
import java.util.Random;
import java.util.Set;

import se.hirt.w1.PhysicalQuantity;
import se.hirt.w1.Sensor;

public class SensorMockupFactory {
	public static Set<Sensor> createSensors() {
		Random rnd = new Random();
		Set<Sensor> sensors = new HashSet<Sensor>();
		for (int i = 0; i < rnd.nextInt(4) + 1; i++) {
			PhysicalQuantity physQuant = getRandomPhysicalQuantity(rnd);
			sensors.add(new RandomMockupSensor(physQuant));
		}
		return sensors;
	}

	private static PhysicalQuantity getRandomPhysicalQuantity(Random rnd) {
		PhysicalQuantity[] quantities = PhysicalQuantity.values();
		return quantities[rnd.nextInt(quantities.length)];
	}	
}
